### Method

# Gck Session verify_async

#### Declaration [src]

    void
    gck_session_verify_async (
      GckSession* self,
      GckObject* key,
      GckMechanism* mechanism,
      const guchar* input,
      gsize n_input,
      const guchar* signature,
      gsize n_signature,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Verify data in a mechanism specific manner. This call returns immediately and completes asynchronously.

#### Parameters

`key`

  Type: `GckObject`

  The key to verify with.

  The data is owned by the caller of the method.

`mechanism`

  Type: `GckMechanism`

  The mechanism type and parameters to use for signing.

  The data is owned by the caller of the method.

`input`

  Type: An array of `guchar`

  Data to verify.

  The length of the array is specified in the `n_input` argument.
  The data is owned by the caller of the method.

`n_input`

  Type: `gsize`

  The length of the data to verify.

`signature`

  Type: An array of `guchar`

  The signature.

  The length of the array is specified in the `n_signature` argument.
  The data is owned by the caller of the method.

`n_signature`

  Type: `gsize`

  The length of the signature.

`cancellable`

  Type: `GCancellable`

  A GCancellable which can be used to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  A pointer to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.